List all identities in the current workspace with optional filtering and pagination.
curl --request GET \
--url https://api.edges.run/v1/identities \
--header 'X-API-Key: <api-key>'const options = {method: 'GET', headers: {'X-API-Key': '<api-key>'}};
fetch('https://api.edges.run/v1/identities', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.edges.run/v1/identities"
headers = {"X-API-Key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)[
{
"uid": "123e4567-e89b-12d3-a456-426614174000",
"workspace_uid": "5678e456-e89b-12d3-a456-426614174001",
"created_at": "2023-10-01T12:00:00Z",
"name": "John Doe",
"timezone": "Europe/Paris",
"type": "standard",
"is_active": "true",
"integrations": [
"app1",
"app2"
]
},
{
"uid": "123e4567-e89b-12d3-a456-426614174005",
"workspace_uid": "5678e456-e89b-12d3-a456-426614174001",
"created_at": "2023-10-01T12:05:00Z",
"name": "Jane Smith",
"type": "engagement",
"timezone": "America/New_York",
"is_active": "false",
"integrations": []
}
]{
"message": "This page does not contain any users.",
"error_label": "INVALID_PAGE_REQUESTED_400_BAD_REQUEST"
}{
"message": "Workspace not found.",
"error_label": "WORKSPACE_404_NOT_FOUND"
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>"
}
]
}Identities
List Identities
List every identity in the workspace, with filtering and pagination.
GET
/
identities
List all identities in the current workspace with optional filtering and pagination.
curl --request GET \
--url https://api.edges.run/v1/identities \
--header 'X-API-Key: <api-key>'const options = {method: 'GET', headers: {'X-API-Key': '<api-key>'}};
fetch('https://api.edges.run/v1/identities', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.edges.run/v1/identities"
headers = {"X-API-Key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)[
{
"uid": "123e4567-e89b-12d3-a456-426614174000",
"workspace_uid": "5678e456-e89b-12d3-a456-426614174001",
"created_at": "2023-10-01T12:00:00Z",
"name": "John Doe",
"timezone": "Europe/Paris",
"type": "standard",
"is_active": "true",
"integrations": [
"app1",
"app2"
]
},
{
"uid": "123e4567-e89b-12d3-a456-426614174005",
"workspace_uid": "5678e456-e89b-12d3-a456-426614174001",
"created_at": "2023-10-01T12:05:00Z",
"name": "Jane Smith",
"type": "engagement",
"timezone": "America/New_York",
"is_active": "false",
"integrations": []
}
]{
"message": "This page does not contain any users.",
"error_label": "INVALID_PAGE_REQUESTED_400_BAD_REQUEST"
}{
"message": "Workspace not found.",
"error_label": "WORKSPACE_404_NOT_FOUND"
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>"
}
]
}Agent skill
edges-list-identities — ready-made instructions for coding agents calling this endpoint.Authorizations
API key required for authentication. Add your API key in the X-API-Key header.
Query Parameters
Search identities by their name.
Whether to include associated integrations for each identity. Note: Enabling this will increase response time.
The page number to retrieve (1-based indexing).
Required range:
x >= 1
